org.apache.jmeter.visualizers

## Class SamplerResultTab.RowResult

- java.lang.Object
- - org.apache.jmeter.visualizers.SamplerResultTab.RowResult

- Enclosing class:
    SamplerResultTab

      public static class SamplerResultTab.RowResult
      extends java.lang.Object

  For model table

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowResult(java.lang.String key, java.lang.Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()`
    `java.lang.Object` | `getValue()`
    `void` | `setKey(java.lang.String key)`
    `void` | `setValue(java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowResult

          public RowResult(java.lang.String key,
                           java.lang.Object value)

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

      Returns:
        the key

    - #### setKey

          public void setKey(java.lang.String key)

      Parameters:
        `key` - the key to set

    - #### getValue

          public java.lang.Object getValue()

      Returns:
        the value

    - #### setValue

          public void setValue(java.lang.Object value)

      Parameters:
        `value` - the value to set

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.